Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network77.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
77.0.0.0
Broadcast address
77.127.255.255
First usable
77.0.0.1
Last usable
77.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 4D000000 · Integer 1291845632 to 1300234239
Reverse DNS zones
0.77.in-addr.arpa
1.77.in-addr.arpa
2.77.in-addr.arpa
3.77.in-addr.arpa
4.77.in-addr.arpa
5.77.in-addr.arpa
6.77.in-addr.arpa
7.77.in-addr.arpa
8.77.in-addr.arpa
9.77.in-addr.arpa
10.77.in-addr.arpa
11.77.in-addr.arpa
12.77.in-addr.arpa
13.77.in-addr.arpa
14.77.in-addr.arpa
15.77.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001101.00000000.00000000.0000000077.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001101.00000000.00000000.0000000077.0.0.0
Broadcast01001101.01111111.11111111.1111111177.127.255.255
Split into smaller subnets/18

77.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
177.0.0.0/1877.0.0.1 to 77.0.63.25477.0.63.25516,382
277.0.64.0/1877.0.64.1 to 77.0.127.25477.0.127.25516,382
377.0.128.0/1877.0.128.1 to 77.0.191.25477.0.191.25516,382
477.0.192.0/1877.0.192.1 to 77.0.255.25477.0.255.25516,382
577.1.0.0/1877.1.0.1 to 77.1.63.25477.1.63.25516,382
677.1.64.0/1877.1.64.1 to 77.1.127.25477.1.127.25516,382
777.1.128.0/1877.1.128.1 to 77.1.191.25477.1.191.25516,382
877.1.192.0/1877.1.192.1 to 77.1.255.25477.1.255.25516,382
977.2.0.0/1877.2.0.1 to 77.2.63.25477.2.63.25516,382
1077.2.64.0/1877.2.64.1 to 77.2.127.25477.2.127.25516,382
1177.2.128.0/1877.2.128.1 to 77.2.191.25477.2.191.25516,382
1277.2.192.0/1877.2.192.1 to 77.2.255.25477.2.255.25516,382
1377.3.0.0/1877.3.0.1 to 77.3.63.25477.3.63.25516,382
1477.3.64.0/1877.3.64.1 to 77.3.127.25477.3.127.25516,382
1577.3.128.0/1877.3.128.1 to 77.3.191.25477.3.191.25516,382
1677.3.192.0/1877.3.192.1 to 77.3.255.25477.3.255.25516,382
1777.4.0.0/1877.4.0.1 to 77.4.63.25477.4.63.25516,382
1877.4.64.0/1877.4.64.1 to 77.4.127.25477.4.127.25516,382
1977.4.128.0/1877.4.128.1 to 77.4.191.25477.4.191.25516,382
2077.4.192.0/1877.4.192.1 to 77.4.255.25477.4.255.25516,382
2177.5.0.0/1877.5.0.1 to 77.5.63.25477.5.63.25516,382
2277.5.64.0/1877.5.64.1 to 77.5.127.25477.5.127.25516,382
2377.5.128.0/1877.5.128.1 to 77.5.191.25477.5.191.25516,382
2477.5.192.0/1877.5.192.1 to 77.5.255.25477.5.255.25516,382
2577.6.0.0/1877.6.0.1 to 77.6.63.25477.6.63.25516,382
2677.6.64.0/1877.6.64.1 to 77.6.127.25477.6.127.25516,382
2777.6.128.0/1877.6.128.1 to 77.6.191.25477.6.191.25516,382
2877.6.192.0/1877.6.192.1 to 77.6.255.25477.6.255.25516,382
2977.7.0.0/1877.7.0.1 to 77.7.63.25477.7.63.25516,382
3077.7.64.0/1877.7.64.1 to 77.7.127.25477.7.127.25516,382
3177.7.128.0/1877.7.128.1 to 77.7.191.25477.7.191.25516,382
3277.7.192.0/1877.7.192.1 to 77.7.255.25477.7.255.25516,382
3377.8.0.0/1877.8.0.1 to 77.8.63.25477.8.63.25516,382
3477.8.64.0/1877.8.64.1 to 77.8.127.25477.8.127.25516,382
3577.8.128.0/1877.8.128.1 to 77.8.191.25477.8.191.25516,382
3677.8.192.0/1877.8.192.1 to 77.8.255.25477.8.255.25516,382
3777.9.0.0/1877.9.0.1 to 77.9.63.25477.9.63.25516,382
3877.9.64.0/1877.9.64.1 to 77.9.127.25477.9.127.25516,382
3977.9.128.0/1877.9.128.1 to 77.9.191.25477.9.191.25516,382
4077.9.192.0/1877.9.192.1 to 77.9.255.25477.9.255.25516,382
4177.10.0.0/1877.10.0.1 to 77.10.63.25477.10.63.25516,382
4277.10.64.0/1877.10.64.1 to 77.10.127.25477.10.127.25516,382
4377.10.128.0/1877.10.128.1 to 77.10.191.25477.10.191.25516,382
4477.10.192.0/1877.10.192.1 to 77.10.255.25477.10.255.25516,382
4577.11.0.0/1877.11.0.1 to 77.11.63.25477.11.63.25516,382
4677.11.64.0/1877.11.64.1 to 77.11.127.25477.11.127.25516,382
4777.11.128.0/1877.11.128.1 to 77.11.191.25477.11.191.25516,382
4877.11.192.0/1877.11.192.1 to 77.11.255.25477.11.255.25516,382
4977.12.0.0/1877.12.0.1 to 77.12.63.25477.12.63.25516,382
5077.12.64.0/1877.12.64.1 to 77.12.127.25477.12.127.25516,382
5177.12.128.0/1877.12.128.1 to 77.12.191.25477.12.191.25516,382
5277.12.192.0/1877.12.192.1 to 77.12.255.25477.12.255.25516,382
5377.13.0.0/1877.13.0.1 to 77.13.63.25477.13.63.25516,382
5477.13.64.0/1877.13.64.1 to 77.13.127.25477.13.127.25516,382
5577.13.128.0/1877.13.128.1 to 77.13.191.25477.13.191.25516,382
5677.13.192.0/1877.13.192.1 to 77.13.255.25477.13.255.25516,382
5777.14.0.0/1877.14.0.1 to 77.14.63.25477.14.63.25516,382
5877.14.64.0/1877.14.64.1 to 77.14.127.25477.14.127.25516,382
5977.14.128.0/1877.14.128.1 to 77.14.191.25477.14.191.25516,382
6077.14.192.0/1877.14.192.1 to 77.14.255.25477.14.255.25516,382
6177.15.0.0/1877.15.0.1 to 77.15.63.25477.15.63.25516,382
6277.15.64.0/1877.15.64.1 to 77.15.127.25477.15.127.25516,382
6377.15.128.0/1877.15.128.1 to 77.15.191.25477.15.191.25516,382
6477.15.192.0/1877.15.192.1 to 77.15.255.25477.15.255.25516,382
6577.16.0.0/1877.16.0.1 to 77.16.63.25477.16.63.25516,382
6677.16.64.0/1877.16.64.1 to 77.16.127.25477.16.127.25516,382
6777.16.128.0/1877.16.128.1 to 77.16.191.25477.16.191.25516,382
6877.16.192.0/1877.16.192.1 to 77.16.255.25477.16.255.25516,382
6977.17.0.0/1877.17.0.1 to 77.17.63.25477.17.63.25516,382
7077.17.64.0/1877.17.64.1 to 77.17.127.25477.17.127.25516,382
7177.17.128.0/1877.17.128.1 to 77.17.191.25477.17.191.25516,382
7277.17.192.0/1877.17.192.1 to 77.17.255.25477.17.255.25516,382
7377.18.0.0/1877.18.0.1 to 77.18.63.25477.18.63.25516,382
7477.18.64.0/1877.18.64.1 to 77.18.127.25477.18.127.25516,382
7577.18.128.0/1877.18.128.1 to 77.18.191.25477.18.191.25516,382
7677.18.192.0/1877.18.192.1 to 77.18.255.25477.18.255.25516,382
7777.19.0.0/1877.19.0.1 to 77.19.63.25477.19.63.25516,382
7877.19.64.0/1877.19.64.1 to 77.19.127.25477.19.127.25516,382
7977.19.128.0/1877.19.128.1 to 77.19.191.25477.19.191.25516,382
8077.19.192.0/1877.19.192.1 to 77.19.255.25477.19.255.25516,382
8177.20.0.0/1877.20.0.1 to 77.20.63.25477.20.63.25516,382
8277.20.64.0/1877.20.64.1 to 77.20.127.25477.20.127.25516,382
8377.20.128.0/1877.20.128.1 to 77.20.191.25477.20.191.25516,382
8477.20.192.0/1877.20.192.1 to 77.20.255.25477.20.255.25516,382
8577.21.0.0/1877.21.0.1 to 77.21.63.25477.21.63.25516,382
8677.21.64.0/1877.21.64.1 to 77.21.127.25477.21.127.25516,382
8777.21.128.0/1877.21.128.1 to 77.21.191.25477.21.191.25516,382
8877.21.192.0/1877.21.192.1 to 77.21.255.25477.21.255.25516,382
8977.22.0.0/1877.22.0.1 to 77.22.63.25477.22.63.25516,382
9077.22.64.0/1877.22.64.1 to 77.22.127.25477.22.127.25516,382
9177.22.128.0/1877.22.128.1 to 77.22.191.25477.22.191.25516,382
9277.22.192.0/1877.22.192.1 to 77.22.255.25477.22.255.25516,382
9377.23.0.0/1877.23.0.1 to 77.23.63.25477.23.63.25516,382
9477.23.64.0/1877.23.64.1 to 77.23.127.25477.23.127.25516,382
9577.23.128.0/1877.23.128.1 to 77.23.191.25477.23.191.25516,382
9677.23.192.0/1877.23.192.1 to 77.23.255.25477.23.255.25516,382
9777.24.0.0/1877.24.0.1 to 77.24.63.25477.24.63.25516,382
9877.24.64.0/1877.24.64.1 to 77.24.127.25477.24.127.25516,382
9977.24.128.0/1877.24.128.1 to 77.24.191.25477.24.191.25516,382
10077.24.192.0/1877.24.192.1 to 77.24.255.25477.24.255.25516,382
10177.25.0.0/1877.25.0.1 to 77.25.63.25477.25.63.25516,382
10277.25.64.0/1877.25.64.1 to 77.25.127.25477.25.127.25516,382
10377.25.128.0/1877.25.128.1 to 77.25.191.25477.25.191.25516,382
10477.25.192.0/1877.25.192.1 to 77.25.255.25477.25.255.25516,382
10577.26.0.0/1877.26.0.1 to 77.26.63.25477.26.63.25516,382
10677.26.64.0/1877.26.64.1 to 77.26.127.25477.26.127.25516,382
10777.26.128.0/1877.26.128.1 to 77.26.191.25477.26.191.25516,382
10877.26.192.0/1877.26.192.1 to 77.26.255.25477.26.255.25516,382
10977.27.0.0/1877.27.0.1 to 77.27.63.25477.27.63.25516,382
11077.27.64.0/1877.27.64.1 to 77.27.127.25477.27.127.25516,382
11177.27.128.0/1877.27.128.1 to 77.27.191.25477.27.191.25516,382
11277.27.192.0/1877.27.192.1 to 77.27.255.25477.27.255.25516,382
11377.28.0.0/1877.28.0.1 to 77.28.63.25477.28.63.25516,382
11477.28.64.0/1877.28.64.1 to 77.28.127.25477.28.127.25516,382
11577.28.128.0/1877.28.128.1 to 77.28.191.25477.28.191.25516,382
11677.28.192.0/1877.28.192.1 to 77.28.255.25477.28.255.25516,382
11777.29.0.0/1877.29.0.1 to 77.29.63.25477.29.63.25516,382
11877.29.64.0/1877.29.64.1 to 77.29.127.25477.29.127.25516,382
11977.29.128.0/1877.29.128.1 to 77.29.191.25477.29.191.25516,382
12077.29.192.0/1877.29.192.1 to 77.29.255.25477.29.255.25516,382
12177.30.0.0/1877.30.0.1 to 77.30.63.25477.30.63.25516,382
12277.30.64.0/1877.30.64.1 to 77.30.127.25477.30.127.25516,382
12377.30.128.0/1877.30.128.1 to 77.30.191.25477.30.191.25516,382
12477.30.192.0/1877.30.192.1 to 77.30.255.25477.30.255.25516,382
12577.31.0.0/1877.31.0.1 to 77.31.63.25477.31.63.25516,382
12677.31.64.0/1877.31.64.1 to 77.31.127.25477.31.127.25516,382
12777.31.128.0/1877.31.128.1 to 77.31.191.25477.31.191.25516,382
12877.31.192.0/1877.31.192.1 to 77.31.255.25477.31.255.25516,382
12977.32.0.0/1877.32.0.1 to 77.32.63.25477.32.63.25516,382
13077.32.64.0/1877.32.64.1 to 77.32.127.25477.32.127.25516,382
13177.32.128.0/1877.32.128.1 to 77.32.191.25477.32.191.25516,382
13277.32.192.0/1877.32.192.1 to 77.32.255.25477.32.255.25516,382
13377.33.0.0/1877.33.0.1 to 77.33.63.25477.33.63.25516,382
13477.33.64.0/1877.33.64.1 to 77.33.127.25477.33.127.25516,382
13577.33.128.0/1877.33.128.1 to 77.33.191.25477.33.191.25516,382
13677.33.192.0/1877.33.192.1 to 77.33.255.25477.33.255.25516,382
13777.34.0.0/1877.34.0.1 to 77.34.63.25477.34.63.25516,382
13877.34.64.0/1877.34.64.1 to 77.34.127.25477.34.127.25516,382
13977.34.128.0/1877.34.128.1 to 77.34.191.25477.34.191.25516,382
14077.34.192.0/1877.34.192.1 to 77.34.255.25477.34.255.25516,382
14177.35.0.0/1877.35.0.1 to 77.35.63.25477.35.63.25516,382
14277.35.64.0/1877.35.64.1 to 77.35.127.25477.35.127.25516,382
14377.35.128.0/1877.35.128.1 to 77.35.191.25477.35.191.25516,382
14477.35.192.0/1877.35.192.1 to 77.35.255.25477.35.255.25516,382
14577.36.0.0/1877.36.0.1 to 77.36.63.25477.36.63.25516,382
14677.36.64.0/1877.36.64.1 to 77.36.127.25477.36.127.25516,382
14777.36.128.0/1877.36.128.1 to 77.36.191.25477.36.191.25516,382
14877.36.192.0/1877.36.192.1 to 77.36.255.25477.36.255.25516,382
14977.37.0.0/1877.37.0.1 to 77.37.63.25477.37.63.25516,382
15077.37.64.0/1877.37.64.1 to 77.37.127.25477.37.127.25516,382
15177.37.128.0/1877.37.128.1 to 77.37.191.25477.37.191.25516,382
15277.37.192.0/1877.37.192.1 to 77.37.255.25477.37.255.25516,382
15377.38.0.0/1877.38.0.1 to 77.38.63.25477.38.63.25516,382
15477.38.64.0/1877.38.64.1 to 77.38.127.25477.38.127.25516,382
15577.38.128.0/1877.38.128.1 to 77.38.191.25477.38.191.25516,382
15677.38.192.0/1877.38.192.1 to 77.38.255.25477.38.255.25516,382
15777.39.0.0/1877.39.0.1 to 77.39.63.25477.39.63.25516,382
15877.39.64.0/1877.39.64.1 to 77.39.127.25477.39.127.25516,382
15977.39.128.0/1877.39.128.1 to 77.39.191.25477.39.191.25516,382
16077.39.192.0/1877.39.192.1 to 77.39.255.25477.39.255.25516,382
16177.40.0.0/1877.40.0.1 to 77.40.63.25477.40.63.25516,382
16277.40.64.0/1877.40.64.1 to 77.40.127.25477.40.127.25516,382
16377.40.128.0/1877.40.128.1 to 77.40.191.25477.40.191.25516,382
16477.40.192.0/1877.40.192.1 to 77.40.255.25477.40.255.25516,382
16577.41.0.0/1877.41.0.1 to 77.41.63.25477.41.63.25516,382
16677.41.64.0/1877.41.64.1 to 77.41.127.25477.41.127.25516,382
16777.41.128.0/1877.41.128.1 to 77.41.191.25477.41.191.25516,382
16877.41.192.0/1877.41.192.1 to 77.41.255.25477.41.255.25516,382
16977.42.0.0/1877.42.0.1 to 77.42.63.25477.42.63.25516,382
17077.42.64.0/1877.42.64.1 to 77.42.127.25477.42.127.25516,382
17177.42.128.0/1877.42.128.1 to 77.42.191.25477.42.191.25516,382
17277.42.192.0/1877.42.192.1 to 77.42.255.25477.42.255.25516,382
17377.43.0.0/1877.43.0.1 to 77.43.63.25477.43.63.25516,382
17477.43.64.0/1877.43.64.1 to 77.43.127.25477.43.127.25516,382
17577.43.128.0/1877.43.128.1 to 77.43.191.25477.43.191.25516,382
17677.43.192.0/1877.43.192.1 to 77.43.255.25477.43.255.25516,382
17777.44.0.0/1877.44.0.1 to 77.44.63.25477.44.63.25516,382
17877.44.64.0/1877.44.64.1 to 77.44.127.25477.44.127.25516,382
17977.44.128.0/1877.44.128.1 to 77.44.191.25477.44.191.25516,382
18077.44.192.0/1877.44.192.1 to 77.44.255.25477.44.255.25516,382
18177.45.0.0/1877.45.0.1 to 77.45.63.25477.45.63.25516,382
18277.45.64.0/1877.45.64.1 to 77.45.127.25477.45.127.25516,382
18377.45.128.0/1877.45.128.1 to 77.45.191.25477.45.191.25516,382
18477.45.192.0/1877.45.192.1 to 77.45.255.25477.45.255.25516,382
18577.46.0.0/1877.46.0.1 to 77.46.63.25477.46.63.25516,382
18677.46.64.0/1877.46.64.1 to 77.46.127.25477.46.127.25516,382
18777.46.128.0/1877.46.128.1 to 77.46.191.25477.46.191.25516,382
18877.46.192.0/1877.46.192.1 to 77.46.255.25477.46.255.25516,382
18977.47.0.0/1877.47.0.1 to 77.47.63.25477.47.63.25516,382
19077.47.64.0/1877.47.64.1 to 77.47.127.25477.47.127.25516,382
19177.47.128.0/1877.47.128.1 to 77.47.191.25477.47.191.25516,382
19277.47.192.0/1877.47.192.1 to 77.47.255.25477.47.255.25516,382
19377.48.0.0/1877.48.0.1 to 77.48.63.25477.48.63.25516,382
19477.48.64.0/1877.48.64.1 to 77.48.127.25477.48.127.25516,382
19577.48.128.0/1877.48.128.1 to 77.48.191.25477.48.191.25516,382
19677.48.192.0/1877.48.192.1 to 77.48.255.25477.48.255.25516,382
19777.49.0.0/1877.49.0.1 to 77.49.63.25477.49.63.25516,382
19877.49.64.0/1877.49.64.1 to 77.49.127.25477.49.127.25516,382
19977.49.128.0/1877.49.128.1 to 77.49.191.25477.49.191.25516,382
20077.49.192.0/1877.49.192.1 to 77.49.255.25477.49.255.25516,382
20177.50.0.0/1877.50.0.1 to 77.50.63.25477.50.63.25516,382
20277.50.64.0/1877.50.64.1 to 77.50.127.25477.50.127.25516,382
20377.50.128.0/1877.50.128.1 to 77.50.191.25477.50.191.25516,382
20477.50.192.0/1877.50.192.1 to 77.50.255.25477.50.255.25516,382
20577.51.0.0/1877.51.0.1 to 77.51.63.25477.51.63.25516,382
20677.51.64.0/1877.51.64.1 to 77.51.127.25477.51.127.25516,382
20777.51.128.0/1877.51.128.1 to 77.51.191.25477.51.191.25516,382
20877.51.192.0/1877.51.192.1 to 77.51.255.25477.51.255.25516,382
20977.52.0.0/1877.52.0.1 to 77.52.63.25477.52.63.25516,382
21077.52.64.0/1877.52.64.1 to 77.52.127.25477.52.127.25516,382
21177.52.128.0/1877.52.128.1 to 77.52.191.25477.52.191.25516,382
21277.52.192.0/1877.52.192.1 to 77.52.255.25477.52.255.25516,382
21377.53.0.0/1877.53.0.1 to 77.53.63.25477.53.63.25516,382
21477.53.64.0/1877.53.64.1 to 77.53.127.25477.53.127.25516,382
21577.53.128.0/1877.53.128.1 to 77.53.191.25477.53.191.25516,382
21677.53.192.0/1877.53.192.1 to 77.53.255.25477.53.255.25516,382
21777.54.0.0/1877.54.0.1 to 77.54.63.25477.54.63.25516,382
21877.54.64.0/1877.54.64.1 to 77.54.127.25477.54.127.25516,382
21977.54.128.0/1877.54.128.1 to 77.54.191.25477.54.191.25516,382
22077.54.192.0/1877.54.192.1 to 77.54.255.25477.54.255.25516,382
22177.55.0.0/1877.55.0.1 to 77.55.63.25477.55.63.25516,382
22277.55.64.0/1877.55.64.1 to 77.55.127.25477.55.127.25516,382
22377.55.128.0/1877.55.128.1 to 77.55.191.25477.55.191.25516,382
22477.55.192.0/1877.55.192.1 to 77.55.255.25477.55.255.25516,382
22577.56.0.0/1877.56.0.1 to 77.56.63.25477.56.63.25516,382
22677.56.64.0/1877.56.64.1 to 77.56.127.25477.56.127.25516,382
22777.56.128.0/1877.56.128.1 to 77.56.191.25477.56.191.25516,382
22877.56.192.0/1877.56.192.1 to 77.56.255.25477.56.255.25516,382
22977.57.0.0/1877.57.0.1 to 77.57.63.25477.57.63.25516,382
23077.57.64.0/1877.57.64.1 to 77.57.127.25477.57.127.25516,382
23177.57.128.0/1877.57.128.1 to 77.57.191.25477.57.191.25516,382
23277.57.192.0/1877.57.192.1 to 77.57.255.25477.57.255.25516,382
23377.58.0.0/1877.58.0.1 to 77.58.63.25477.58.63.25516,382
23477.58.64.0/1877.58.64.1 to 77.58.127.25477.58.127.25516,382
23577.58.128.0/1877.58.128.1 to 77.58.191.25477.58.191.25516,382
23677.58.192.0/1877.58.192.1 to 77.58.255.25477.58.255.25516,382
23777.59.0.0/1877.59.0.1 to 77.59.63.25477.59.63.25516,382
23877.59.64.0/1877.59.64.1 to 77.59.127.25477.59.127.25516,382
23977.59.128.0/1877.59.128.1 to 77.59.191.25477.59.191.25516,382
24077.59.192.0/1877.59.192.1 to 77.59.255.25477.59.255.25516,382
24177.60.0.0/1877.60.0.1 to 77.60.63.25477.60.63.25516,382
24277.60.64.0/1877.60.64.1 to 77.60.127.25477.60.127.25516,382
24377.60.128.0/1877.60.128.1 to 77.60.191.25477.60.191.25516,382
24477.60.192.0/1877.60.192.1 to 77.60.255.25477.60.255.25516,382
24577.61.0.0/1877.61.0.1 to 77.61.63.25477.61.63.25516,382
24677.61.64.0/1877.61.64.1 to 77.61.127.25477.61.127.25516,382
24777.61.128.0/1877.61.128.1 to 77.61.191.25477.61.191.25516,382
24877.61.192.0/1877.61.192.1 to 77.61.255.25477.61.255.25516,382
24977.62.0.0/1877.62.0.1 to 77.62.63.25477.62.63.25516,382
25077.62.64.0/1877.62.64.1 to 77.62.127.25477.62.127.25516,382
25177.62.128.0/1877.62.128.1 to 77.62.191.25477.62.191.25516,382
25277.62.192.0/1877.62.192.1 to 77.62.255.25477.62.255.25516,382
25377.63.0.0/1877.63.0.1 to 77.63.63.25477.63.63.25516,382
25477.63.64.0/1877.63.64.1 to 77.63.127.25477.63.127.25516,382
25577.63.128.0/1877.63.128.1 to 77.63.191.25477.63.191.25516,382
25677.63.192.0/1877.63.192.1 to 77.63.255.25477.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses